## unbound 1.4.5-0maemo0~devel1~svn2115

=== debian/changelog ===
unbound (1.4.5-0maemo0~devel1~svn2115) fremantle; urgency=low

  * dh_makeshlibs breaks on Maemo autobuilder, works in local SDK
  * debug: disable dh_makeshlibs, works in local SDK, see what breaks it
    * without makeshlibs, shlibdeps doesn't find libunbound2
    * added static deps
    * test with mockup next
  * note to self: changing targets:
    *  make realclean; svn update; dpkg-buildpackage

 -- Hauke Lampe <lampe@hauke-lampe.de>  Sat, 22 May 2010 00:01:00 +0200

unbound (1.4.5-0maemo0~devel~svn2115) fremantle; urgency=low

  ** 21 May 2010: Wouter
        - EDNS timeout code will not fire if EDNS status already known.
        - EDNS failure not stored if EDNS status known to work.

 -- Hauke Lampe <lampe@hauke-lampe.de>  Sat, 22 May 2010 00:00:00 +0200

unbound (1.4.5-0~ppa~lampe1+svn2114) unstable; urgency=low

  ** 9 May 2010: Wouter
        - Fix resolution for domains like safesvc.com.cn.  If the iterator
          can not recurse further and it finds the delegation in a state
          where it would otherwise have rejected it outhand if so received
          from a cache lookup, then it can try to ask higherup (with loop
          protection).
        - Fix comments in iter_utils:dp_is_useless.

  ** 18 May 2010: Wouter
        - Fix various compiler warnings from the clang llvm compiler.
        - iana portlist updated.

 -- Hauke Lampe <lampe@hauke-lampe.de>  Wed, 19 May 2010 00:00:00 +0200

unbound (1.4.5-0~ppa~lampe1+svn2110) unstable; urgency=low

  * svn rev. 2110

 -- Hauke Lampe <lampe@hauke-lampe.de>  Tue, 11 May 2010 00:00:00 +0200
