## unbound 1.4.5-0maemo0~devel1~svn2119

=== debian/changelog ===
unbound (1.4.5-0maemo0~devel1~svn2119) fremantle; urgency=low

  ** 28 May 2010: Wouter
        - iana portlist updated.
        - parent-child disagreement approach altered.  Older fixes are
          removed in place of a more exhaustive search for misconfigured data
          available via the parent of a delegation.
          This is designed to be throttled by cache entries, with TTL from the
          parent if possible.  Additionally the loop-counter is used.
          It also tests for NS RRset differences between parent and child.
          The fetch of misconfigured data should be more reliable and thorough.
          It should work reliably even with no or only partial data in cache.
          Data received from the child (as always) is deemed more
          authoritative than information received from the delegation parent.
          The search for misconfigured data is not performed normally.

  ** 26 May 2010: Wouter
        - Contribution from Migiel de Vos (Surfnet): nagios patch for
          unbound-host, in contrib/ (in the source tarball).  Makes
          unbound-host suitable for monitoring dnssec(-chain) status.

 -- Hauke Lampe <lampe@hauke-lampe.de>  Fri, 28 May 2010 00:00:00 +0200
