## unbound 1.4.5-0maemo0~devel1~svn2129

=== debian/changelog ===
unbound (1.4.5-0maemo0~devel1~svn2129) fremantle; urgency=low

  ** 1 June 2010: Wouter
        - Ignore Z flag in incoming messages too.
        - Fix storage of negative parent glue if that last resort fails.
        - libtoolize 2.2.6b, autoconf 2.65 applied to configure.
        - new splint flags for newer splint install.

  ** 31 May 2010: Wouter
        - Fix AD flag handling, it could in some cases mistakenly copy the AD 
          flag from upstream servers.
        - alloc_special_obtain out of memory is not a fatal error any more,
          enabling unbound to continue longer in out of memory conditions.
        - parentside names are dispreferred but not said to be dnssec-lame.
        - parentside check for cached newname glue.
        - fix parentside and querytargets modulestate, for dump_requestlist.
        - unbound-control-setup makes keys -rw-r--- so not all users permitted.
        - fix parentside from cache to be marked dispreferred for bad names.

 -- Hauke Lampe <lampe@hauke-lampe.de>  Tue, 01 Jun 2010 00:00:00 +0200
