## unbound 1.4.5-0maemo0~devel1~svn2143

=== debian/changelog ===
unbound (1.4.5-0maemo0~devel1~svn2143) fremantle; urgency=low

  ** 4 June 2010: Wouter
        - iana portlist updated.
        - 1.4.5rc1 tag created.

  ** 3 June 2010: Wouter
        - ldns tarball updated, 1.6.5.
        - review comments, split dependency cycle tracking for parentside
          last resort lookups for A and AAAA so there are more lookup options.

  ** 2 June 2010: Wouter
        - Fix compile warning if compiled without threads.
        - updated ldns-tarball with current ldns svn (pre 1.6.5).
        - GOST disabled-by-default, the algorithm number is allocated but the
          RFC is still has to pass AUTH48 at the IETF.

 -- Hauke Lampe <lampe@hauke-lampe.de>  Fri, 04 Jun 2010 00:00:00 +0200
