## unbound 1.4.5-0maemo0~devel1~svn2144

=== debian/changelog ===
unbound (1.4.5-0maemo0~devel1~svn2144) fremantle; urgency=low

  ** 10 June 2010: Wouter
        - Fix bug where a long loop could be entered, now cycle detection
          has a loop-counter and maximum search amount.

 -- Hauke Lampe <lampe@hauke-lampe.de>  Thu, 10 Jun 2010 00:00:00 +0200
