## unbound 1.4.5-0maemo0~devel1~svn2146

=== debian/changelog ===
unbound (1.4.5-0maemo0~devel1~svn2146) fremantle; urgency=low

  ** 11 June 2010: Wouter
        - When retry to parent the retrycount is not wiped, so failed 
          nameservers are not tried again.
        - iana portlist updated.

 -- Hauke Lampe <lampe@hauke-lampe.de>  Sat, 12 Jun 2010 00:00:00 +0200
