## unbound 1.4.6-0maemo0~devel1~svn2153

=== debian/changelog ===
unbound (1.4.6-0maemo0~devel1~svn2153) fremantle; urgency=low

  ** 15 June 2010: Wouter
        - Fix TCPreply on systems with no writev, if just 1 byte could be sent.
        - Fix to use one pointer less for iterator query state store_parent_NS.
        - makedist crosscompile to windows uses builtin ldns not host ldns.
        - Max referral count from 30 to 130, because 128 one character domains
          is valid DNS.
        - added documentation for the histogram printout to syslog.

 -- Hauke Lampe <lampe@hauke-lampe.de>  Tue, 15 Jun 2010 00:01:00 +0200

unbound (1.4.5-0maemo0) fremantle; urgency=low

  ** 15 June 2010: Wouter
        - tag 1.4.5 created.
        - trunk contains 1.4.6 in development.

 -- Hauke Lampe <lampe@hauke-lampe.de>  Tue, 15 Jun 2010 00:00:00 +0200
