=== debian/changelog ===
unbound (1.4.6-0maemo0~devel1~svn2156) fremantle; urgency=low

  ** 16 June 2010: Wouter
        - Fix assertion failure reported by Kai Storbeck from XS4ALL, the
          assertion was wrong.
        - updated ldns tarball.

 -- Hauke Lampe <lampe@hauke-lampe.de>  Wed, 16 Jun 2010 00:00:00 +0200
