## unbound 1.4.6-0maemo0~devel1~svn2169

=== debian/changelog ===
unbound (1.4.6-0maemo0~devel1~svn2169) fremantle; urgency=low

  ** 25 June 2010: Wouter
        - Fix handling of corner case reply from lame server, follows rfc2308.
          It could lead to a nodata reply getting into the cache if the search
          for a non-lame server turned up other misconfigured servers.
        - unbound.h has extern "C" statement for easier include in c++.

  ** 23 June 2010: Wouter
        - iana portlist updated.
        - makedist upgraded cross compile openssl option, like this: 
          ./makedist.sh -s -wssl openssl-1.0.0a.tar.gz -w --enable-gost

  ** 22 June 2010: Wouter
        - Unbound reports libev or libevent correctly in logs in verbose mode.
        - Fix to unload gost dynamic library module for leak testing.

  ** 18 June 2010: Wouter
        - iana portlist updated.

  ** 17 June 2010: Wouter
        - Add AAAA to root hints for I.ROOT-SERVERS.NET.

 -- Hauke Lampe <lampe@hauke-lampe.de>  Sat, 26 Jun 2010 00:00:00 +0200
