## unbound 1.4.6-0maemo0~devel1~svn2171

=== debian/changelog ===
unbound (1.4.6-0maemo0~devel1~svn2171) fremantle; urgency=low

  ** 28 June 2010: Wouter
        - Fix jostle list bug found by Vince (luoce@cnnic), it caused the qps
          in overload situations to be about 5 qps for the class of shortly
          serviced queries.
          The capacity of the resolver is then about (numqueriesperthread / 2)
          / (average time for such long queries) qps for long queries.
          And about (numqueriesperthread / 2)/(jostletimeout in whole seconds)
          qps for short queries, per thread.
        - Fix the max number of reply-address count to be applied for duplicate
          queries, and not for new query list entries.  This raises the memory
          usage to a max of (16+1)*numqueriesperthread reply addresses.

 -- Hauke Lampe <lampe@hauke-lampe.de>  Wed, 30 Jun 2010 00:00:00 +0200
