## unbound 1.4.6-0maemo0~devel1~svn2173

=== debian/changelog ===
unbound (1.4.6-0maemo0~devel1~svn2173) fremantle; urgency=low

  ** 1 July 2010: Wouter
        - Fix RFC4035 compliance with 2.2 statement that the DNSKEY at apex
          must be signed with all algorithms from the DS rrset at the parent.
          This is now checked and becomes bogus if not.

 -- Hauke Lampe <lampe@hauke-lampe.de>  Fri, 02 Jul 2010 00:00:00 +0200
