## unbound 1.4.6-0maemo0~devel1~svn2190

=== debian/changelog ===
unbound (1.4.6-0maemo0~devel1~svn2190) fremantle; urgency=low

  ** 10 July 2010: Wouter
        - GOST enabled if SSL is recent and ldns has GOST enabled too.
        - ldns tarball updated.

  ** 9 July 2010: Wouter
        - iana portlist updated.
        - Fix validation of qtype DNSKEY when a key-cache entry exists but
          no rr-cache entry is used (it expired or prefetch), it then goes
          back up to the DS or trust-anchor to validate the DNSKEY.

  ** 7 July 2010: Wouter
        - Neat function prototypes, unshadowed local declarations.

  ** 6 July 2010: Wouter
        - failure to chown the pidfile is not fatal any more.
        - testbound uses UTC timezone.
        - ldns tarball updated (ports and works on Minix 3.1.7).  On Minix, add
          /usr/gnu/bin to PATH, use ./configure AR=/usr/gnu/bin/gar and gmake.

  ** 5 July 2010: Wouter
        - log if a server is skipped because it is on the donotquery list,
          at verbosity 4, to enable diagnosis why no queries to 127.0.0.1.
        - added feature to print configure date, target and options with -h.
        - added feature to print event backend system details with -h.
        - wdiff is not actually required by make test, updated requirements.

 -- Hauke Lampe <lampe@hauke-lampe.de>  Sun, 11 Jul 2010 00:00:00 +0200
