## unbound 1.4.6-0maemo0~devel1~svn2198

=== debian/changelog ===
unbound (1.4.6-0maemo0~devel1~svn2198) fremantle; urgency=low

  ** 14 July 2010: Wouter
        - Donation text added to README.
        - Fix integer underflow in prefetch ttl creation from cache.  This
          fixes a potential negative prefetch ttl.

  ** 12 July 2010: Wouter
        - Changed the defaults for num-queries-per-thread/outgoing-range.
          For builtin-select: 512/960, for libevent 1024/4096 and for
          windows 24/48 (because of win api).  This makes the ratio this way
          to improve resilience under heavy load.  For high performance, use
          libevent and possibly higher numbers.

 -- Hauke Lampe <lampe@hauke-lampe.de>  Wed, 14 Jul 2010 00:00:00 +0200
