## unbound 1.4.6-0maemo0~devel1~svn2201

=== debian/changelog ===
unbound (1.4.6-0maemo0~devel1~svn2201) fremantle; urgency=low

  ** 22 July 2010: Wouter
        - more error details on failed remote control connection.

  ** 15 July 2010: Wouter
        - rlimit adjustments for select and ulimit can happen at the same time.

 -- Hauke Lampe <lampe@hauke-lampe.de>  Mon, 26 Jul 2010 00:00:00 +0200
