## unbound 1.4.7-0maemo0~devel1~svn2212

=== debian/changelog ===
unbound (1.4.7-0maemo0~devel1~svn2212) fremantle; urgency=low

  ** 13 August 2010: Wouter
        - More pleasant remote control command parsing.
        - documentation added for return values reported by doxygen 1.7.1.
        - iana portlist updated.

  ** 9 August 2010: Wouter
        - Fix name of rrset printed that failed validation.

  ** 5 August 2010: Wouter
        - Return NXDOMAIN after chain of CNAMEs ends at name-not-found.

  ** 4 August 2010: Wouter
        - Fix validation in case a trust anchor enters into a zone with
          unsupported algorithms.

  ** 3 August 2010: Wouter
        - updated ldns tarball with bugfixes.
        - release tag 1.4.6.
        - trunk becomes 1.4.7 develop.
        - iana portlist updated.

 -- Hauke Lampe <lampe@hauke-lampe.de>  Sat, 14 Aug 2010 00:00:00 +0200
