## unbound 1.4.7-0maemo0~devel1~svn2221

=== debian/changelog ===
unbound (1.4.7-0maemo0~devel1~svn2221) fremantle; urgency=low

  ** 19 August 2010: Wouter
        - Fix bug#321: resolution of rs.ripe.net artifacts with 0x20.
          Delegpt structures checked for duplicates always.
          No more nameserver lookups generated when depth is full anyway.
        - example.conf notes how to do DNSSEC validation and track the root.
        - iana portlist updated.

  ** 18 August 2010: Wouter
        - Fix bug#322: configure does not respect CFLAGS on Solaris.
          Pass CFLAGS="-xO4 -xtarget=generic" on the configure command line
          if use sun-cc, but some systems need different flags.

  ** 16 August 2010: Wouter
        - Fix acx_nlnetlabs.m4 configure output for autoconf-2.66 AS_TR_CPP
          changes, uses m4_bpatsubst now.
        - make test (or make check) should be more portable and run the unit 
          test and testbound scripts. (make longtest has special requirements).

 -- Hauke Lampe <lampe@hauke-lampe.de>  Fri, 20 Aug 2010 00:00:00 +0200
