## unbound 1.4.7-0maemo0~devel1~svn2224

=== debian/changelog ===
unbound (1.4.7-0maemo0~devel1~svn2224) fremantle; urgency=low

  ** 20 August 2010: Wouter
        - openbsd-lint fixes: acl_list_get_mem used if debug-alloc enabled.
          iterator get_mem includes priv_get_mem.  delegpt nodup removed.
          listen_pushback, query_info_allocqname, write_socket, send_packet,
          comm_point_set_cb_arg and listen_resume removed.

 -- Hauke Lampe <lampe@hauke-lampe.de>  Sat, 21 Aug 2010 00:00:00 +0200
