## unbound 1.4.7-0maemo0~devel1~svn2227

=== debian/changelog ===
unbound (1.4.7-0maemo0~devel1~svn2227) fremantle; urgency=low

  ** 9 September 2010: Wouter
        - unresponsive servers are not completely blacklisted (because of
          firewalls), but also not probed all the time (because of the request
          list size it generates).  The probe rate is 1%.
        - iana portlist updated.

 -- Hauke Lampe <lampe@hauke-lampe.de>  Sat, 11 Sep 2010 00:00:00 +0200
