## unbound 1.4.7-0maemo0~devel1~svn2228

=== debian/changelog ===
unbound (1.4.7-0maemo0~devel1~svn2228) fremantle; urgency=low

  ** 13 September 2010: Wouter
        - bug#327: Fix for cannot access stub zones until the root is primed.

 -- Hauke Lampe <lampe@hauke-lampe.de>  Mon, 13 Sep 2010 00:00:00 +0200
