## unbound 1.4.7-0maemo0~devel1~svn2234

=== debian/changelog ===
unbound (1.4.7-0maemo0~devel1~svn2234) fremantle; urgency=low

  ** 15 September 2010: Wouter
        - Abide RFC5155 section 9.2: no AD flag for replies with NSEC3 optout.

  ** 14 September 2010: Wouter
        - increased mesh-max-activation from 1000 to 3000 for crazy domains
          like _tcp.slb.com with 262 servers.
        - iana portlist updated.

 -- Hauke Lampe <lampe@hauke-lampe.de>  Thu, 16 Sep 2010 00:00:00 +0200
