## unbound 1.4.7-0maemo0~devel1~svn2239

=== debian/changelog ===
unbound (1.4.7-0maemo0~devel1~svn2239) fremantle; urgency=low

  ** 17 September 2010: Wouter
        - DLV has downgrade protection again, because the RFC says so.
        - iana portlist updated.

  ** 16 September 2010: Wouter
        - Algorithm rollover operational reality intrudes, for trust-anchor,
          5011-store, and DLV-anchor if one key matches it's good enough.
        - iana portlist updated.
        - Fix reported validation error in out of memory condition.

 -- Hauke Lampe <lampe@hauke-lampe.de>  Sun, 19 Sep 2010 00:00:00 +0200
