## unbound 1.4.7-0maemo0~devel1~svn2277

=== debian/changelog ===
unbound (1.4.7-0maemo0~devel1~svn2277) fremantle; urgency=low

  * added unbound-anchor to package unbound-tools

  ** 11 October 2010: Wouter
        - Fix bug when DLV below a trust-anchor that uses NSEC3 optout where
          the zone has a secure delegation hosted on the same server did not
          verify as secure (it was insecure by mistake).
        - iana portlist updated.
        - ldns tarball updated (for reading cachedumps with bad RR data).

  ** 1 October 2010: Wouter
        - test for unbound-anchor. fix for reading certs.
        - Fix alloc_reg_release for longer uptime in out of memory conditions.

  ** 28 September 2010: Wouter
        - unbound-anchor working, it creates or updates a root.key file.
          Use it before you start the validator (e.g. at system boot time).

  ** 27 September 2010: Wouter
        - iana portlist updated.

  ** 24 September 2010: Wouter
        - bug#329: in example.conf show correct ipv4 link-local 169.254/16.

  ** 23 September 2010: Wouter
        - unbound-anchor app, unbound requires libexpat (xml parser library).

  ** 22 September 2010: Wouter
        - compliance with draft-ietf-dnsop-default-local-zones-14, removed
          reverse ipv6 orchid prefix from builtin list.
        - iana portlist updated.

 -- Hauke Lampe <lampe@hauke-lampe.de>  Mon, 11 Oct 2010 00:00:00 +0200
