=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: extra
 Maintainer: Hauke Lampe <lampe@hauke-lampe.de>
-Build-Depends: debhelper (>= 5), autotools-dev, libssl-dev, bison
+Build-Depends: debhelper (>= 5), autotools-dev, libssl-dev, bison, libexpat1-dev
 Standards-Version: 3.7.2
 
 Package: unbound
@@ -56,7 +56,10 @@
 Architecture: any
 Depends: libc6 (>= 2.5.0-1), libssl0.9.8 (>= 0.9.8f-5)
 Description: Tools for controlling the Unbound daemon
- This package contains unbound-control and unbound-checkconf
+ This package provides supplemental tools for Unbound:
+ unbound-control, unbound-control-setup
+ unbound-checkconf
+ unbound-anchor
 
 Package: libunbound2
 Section: libs
