## unbound 1.4.7-0maemo0~devel1~svn2282

=== debian/changelog ===
unbound (1.4.7-0maemo0~devel1~svn2282) fremantle; urgency=low

  * added missing symlink for unbound-anchor
  * added libexpat1 to unbound-tool dependencies

  ** 13 October 2010: Wouter
        - Fix TCP so it uses a random outgoing-interface.
        - unbound-anchor handles ADDPEND keystate.

 -- Hauke Lampe <lampe@hauke-lampe.de>  Wed, 13 Oct 2010 00:00:00 +0200
