## unbound 1.4.7-0maemo0~devel1~svn2286

=== debian/changelog ===
unbound (1.4.7-0maemo0~devel1~svn2286) fremantle; urgency=low

  * re-upload, auto-builder failed to deploy package

 -- Hauke Lampe <lampe@hauke-lampe.de>  Wed, 13 Oct 2010 00:01:00 +0200
