## unbound 1.4.7-0maemo0~devel1~svn2302

=== debian/changelog ===
unbound (1.4.7-0maemo0~devel1~svn2302) fremantle; urgency=low

  ** 20 October 2010: Wouter
        - interface automatic works for some people with ip6 disabled.
          Therefore the error check is removed, so they can use the option.

  ** 19 October 2010: Wouter
        - Fix for request list growth, if a server has long timeout but the
          lost counter is low, then its effective rtt is the one without
          exponential backoff applied.  Because the backoff is not working.
          The lost counter can then increase and the server is blacklisted,
          or the lost counter does not increase and the server is working
          for some queries.

  ** 18 October 2010: Wouter
        - iana portlist updated.

 -- Hauke Lampe <lampe@hauke-lampe.de>  Wed, 20 Oct 2010 00:00:00 +0200
